Samva
Samva
DashboardAPISamva DocumentationQuickstart GuideAuthentication

Api referenceVoice

Update Voice Agent

PATCH
/voice/agents/{id}

Authorization

apiKey
X-API-Key<token>

API key for authentication

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://samva.app/api/v1/voice/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "data": {}  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
  "name": "string",
  "description": "string",
  "transport": "webrtc",
  "systemPrompt": "string",
  "voiceId": "string",
  "language": "string",
  "webhookConfig": {
    "url": "http://example.com",
    "headers": {
      "property1": "string",
      "property2": "string"
    },
    "events": [
      "call.started"
    ]
  },
  "isActive": true,
  "workflowId": "43c4fa9b-0cbc-4b57-a121-9d7d46a3eaa4",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
data*